ubuntu 16.04安装网易云音乐

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/sinat_33718563/article/details/80209274

首先去官网下载网易云音乐客户端linux版,网址:http://music.163.com/#/download,选择linux版本,然后选择ubuntu 16.04(64)位,进入到你下载的路径,右键打开终端,然后输入以下命令(注意以下命令中deb文件要换成你下载的对应文件名称):

sudo dpkg -i netease-cloud-music_1.0.0_i386_ubuntu16.04.deb 

如果有错误出现,例如:

正在选中未选择的软件包 netease-cloud-music。
(正在读取数据库 ... 系统当前共安装有 178726 个文件和目录。)
正准备解包 netease-cloud-music_1.1.0_amd64_ubuntu.deb  ...
正在解包 netease-cloud-music (1.1.0) ...
dpkg: 依赖关系问题使得 netease-cloud-music 的配置工作不能继续:
 netease-cloud-music 依赖于 vlc (>= 2.1.0);然而:
  未安装软件包 vlc。

dpkg: 处理软件包 netease-cloud-music (--install)时出错:
 依赖关系问题 - 仍未被配置
正在处理用于 libc-bin (2.23-0ubuntu10) 的触发器 ...
正在处理用于 bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) 的触发器 ...
Rebuilding /usr/share/applications/bamf-2.index...
正在处理用于 gnome-menus (3.13.3-6ubuntu3.1) 的触发器 ...
正在处理用于 desktop-file-utils (0.22-1ubuntu5.1) 的触发器 ...
正在处理用于 mime-support (3.59ubuntu1) 的触发器 ...
正在处理用于 hicolor-icon-theme (0.15-0ubuntu1) 的触发器 ...
在处理时有错误发生:
 netease-cloud-music

修复并安装依赖项,在终端输入:

sudo apt-get install -f

然后再执行第一步的安装命令(直接按方向上健可以选择以前执行过的命令):


sudo dpkg -i netease-cloud-music_1.0.0_i386_ubuntu16.04.deb 

最后打开系统桌面左上角的搜索,在最下面一排图标中选择第二个,就可以在已安装的软件中,找到你安装好的网易云客户端,就可以打开了,如果你想固定在桌面左侧菜单,直接右键图标,选择“锁定到启动器”即可。

补充:

如果你点击软件图标打不开网易云客户端,试着在终端执行:

sudo netease-cloud-music 

如果可以的打开的话,关闭,在在终端输入:

sudo gedit /usr/share/applications/netease-cloud-music.desktop

将打开文件的第十一行改为:

Exec=netease-cloud-music --no-sandbox %U

然后执行重启命令:

shutdown -r now
参考:

https://www.cnblogs.com/lulipro/p/6114879.html

https://blog.csdn.net/grtorange/article/details/78900965

展开阅读全文

没有更多推荐了,返回首页